Bug 238198 - tifm_7xx1 -- BUG: bad unlock balance detected!
tifm_7xx1 -- BUG: bad unlock balance detected!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-27 16:47 EDT by Miles Lane
Modified: 2008-05-06 21:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:35:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miles Lane 2007-04-27 16:47:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.3) Gecko/20070417 Fedora/2.0.0.3-4.fc7 Firefox/2.0.0.3

Description of problem:
1.  I added "setpci -s 01:09.3 4c.b=02" to /etc/rc.local in order to force the sdhci module to handle the SD slot.  
2.  I booted with my SD card in the slot.

Result:

No Nautilus window popped up to show the contents of the SD card.
I looked at the dmesg output and found this:

sdhci: Secure Digital Host Controller Interface driver
sdhci: Copyright(c) Pierre Ossman
[...]
sdhci: SDHCI controller found at 0000:01:09.4 [104c:8034] (rev 0)
[...]
mmc0: SDHCI at 0xe0208400 irq 16 DMA
mmc1: SDHCI at 0xe0208000 irq 16 DMA
mmc2: SDHCI at 0xe0207c00 irq 16 DMA
tifm_7xx1: sd card detected in socket 3
[...]
tifm_7xx1: demand removing card from socket 3

=====================================
[ BUG: bad unlock balance detected! ]
-------------------------------------
tifm/0/1044 is trying to release lock (&fm->lock) at:
[<f91c4940>] tifm_7xx1_switch_media+0x2f6/0x332 [tifm_7xx1]
but there are no more locks to release!

other info that might help us debug this:
no locks held by tifm/0/1044.

stack backtrace:
 [<c04061e9>] show_trace_log_lvl+0x1a/0x2f
 [<c04067ad>] show_trace+0x12/0x14
 [<c0406831>] dump_stack+0x16/0x18
 [<c0440d67>] print_unlock_inbalance_bug+0xec/0xf9
 [<c0442d29>] lock_release+0x9d/0x159
 [<c0616570>] _spin_unlock_irqrestore+0x19/0x3c
 [<f91c4940>] tifm_7xx1_switch_media+0x2f6/0x332 [tifm_7xx1]
 [<c043832b>] kthread+0xb3/0xdc
 [<c0405cd3>] kernel_thread_helper+0x7/0x10
 =======================
mmcblk0: mmc2:8b48 SU256 247040KiB 
 mmcblk0: p1

I then thought that perhaps the sdhci didn't load all the necessary other modules, so I ran "modprobe -r sdhci" and "modprobe sdhci".  This caused a Nautilus window to pop up.  I again checked the dmesg output and found:

sdhci: Secure Digital Host Controller Interface driver
sdhci: Copyright(c) Pierre Ossman
sdhci: SDHCI controller found at 0000:01:09.4 [104c:8034] (rev 0)
ACPI: PCI Interrupt 0000:01:09.4[A] -> GSI 20 (level, low) -> IRQ 16
mmc0: SDHCI at 0xe0208400 irq 16 DMA
mmc1: SDHCI at 0xe0208000 irq 16 DMA
mmc2: SDHCI at 0xe0207c00 irq 16 DMA
mmcblk0: mmc2:8b48 SU256 247040KiB 
 mmcblk0: p1

I think it is interesting that immediately before the BUG dump, the line
"tifm_7xx1: demand removing card from socket 3" appears.  I don't know if the BUG issue is what is causing nautilus to fail to see the SD device and mount it.

Version-Release number of selected component (if applicable):
kernel  2.6.21-1.3116.fc7

How reproducible:
Always


Steps to Reproduce:
1. Pretty obvious.  Have a HP Pavilion dv1240us, add the setpci statement to /etc/rc.local, boot.


Actual Results:
I have answered this in the description.

Expected Results:
I expect to get no BUG messages and to have Nautilus pop up a file manager window when I boot with an SD card in the SD slot.

Additional info:
Comment 1 Chuck Ebbert 2007-04-27 16:55:16 EDT
As a workaround, when using the sdhci driver, the ti driver
should be blacklisted anyway.

In /etc/modprobe.d/blacklist, add

blacklist tifm_7xx1

Comment 2 Miles Lane 2007-04-27 17:04:51 EDT
I should note that I found a NEW bug related to tifm_sd.  I tried the setpci
hack because that was what I found on the web.  After reading the bug for the
need to have tifm_sd automatically loaded when tifm_core is.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=232370

I removed setpci from rc.local, rebooted and then manually loaded tifm_sd.  It
worked like a charm.

Still, the BUG needs some attention.
Comment 3 Miles Lane 2007-04-27 20:17:49 EDT
When I use tifm_sd, I still get the BUG message the first time I pull out the SD
card.  Subsequent insert/remove cycles do not trigger the BUG.  However,
functionally, everything works fine.  That is, whenever I insert the SD card,
nautilus opens a file manager window.  I then unmount the SD card and extract it
from the SD slot.  
Comment 4 Bug Zapper 2008-04-03 20:19:50 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 21:35:26 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.